require 'rails_helper'

RSpec.describe "settings/menu_item_options/new", type: :view do
  before(:each) do
    assign(:settings_menu_item_option, Settings::MenuItemOption.new(
      :name => "MyString",
      :value => "MyString"
    ))
  end

  it "renders new settings_menu_item_option form" do
    render

    assert_select "form[action=?][method=?]", settings_menu_item_options_path, "post" do

      assert_select "input#settings_menu_item_option_name[name=?]", "settings_menu_item_option[name]"

      assert_select "input#settings_menu_item_option_value[name=?]", "settings_menu_item_option[value]"
    end
  end
end
